#
# spec file for package ghc-Genbank
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name Genbank
Name:           ghc-%{pkg_name}
Version:        1.0.3
Release:        10.13
Summary:        Libary for processing the NCBI genbank format
License:        GPL-3.0
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-biocore-devel
BuildRequires:  ghc-biofasta-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cmdargs-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-split-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Haskell cabal Genbank libary contains tools, parser and datastructures for the
NCBI (National Center for Biotechnology Information) Genbank format.

For more information on genbank refer to:
<http://www.ncbi.nlm.nih.gov/genbank/>

For a sample genbank record see:
<http://www.ncbi.nlm.nih.gov/Sitemap/samplerecord.html>

"Bio.GenbankData" - Datastructures for Genbank format

Contains Haskell datastructures for Genbank format and for contained features,
subfeatures

"Bio.GenbankParser" - Parse Genbank format

Contains Haskell functions to parse Genbank format from files or internal
Strings.

"Bio.GenbankTools" - Tools for processing Genbank

Contains Haskell functions to extract nucleotide sequences for features.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/GenbankTest

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.0.3 revision 0 with cabal2obs.
